import request from '@/utils/request'

// 查询投资金额分析报告列表
export function listInvestmentAmount(query) {
  return request({
    url: '/study/investmentAmount/list',
    method: 'get',
    params: query
  })
}

// 查询投资金额分析报告详细
export function getInvestmentAmount(id) {
  return request({
    url: '/study/investmentAmount/' + id,
    method: 'get'
  })
}

// 新增投资金额分析报告
export function addInvestmentAmount(data) {
  return request({
    url: '/study/investmentAmount',
    method: 'post',
    data: data
  })
}

// 修改投资金额分析报告
export function updateInvestmentAmount(data) {
  return request({
    url: '/study/investmentAmount',
    method: 'put',
    data: data
  })
}

// 删除投资金额分析报告
export function delInvestmentAmount(id) {
  return request({
    url: '/study/investmentAmount/' + id,
    method: 'delete'
  })
}
